package com.iamberry.wechat.face.reserve;

import com.iamberry.wechat.core.entity.rent.ChannelAccess;
import com.iamberry.wechat.core.entity.rent.ReserveOrder;

/**
 * @author 献
 * @company 深圳爱贝源科技有限公司
 * @date 2017/7/10 12:56
 * @tel 18271840547
 * @website www.iamberry.com
 */
public interface ReserveService {

    /**
     * 增加渠道访问数据
     * @param channelAccess
     * @return
     */
    Integer addAccess(ChannelAccess channelAccess);

    /**
     * 根据渠道ID，修改渠道的销售数量
     * @param channelId
     * @return
     */
    Integer updateChannelNum(Integer channelId);

    /**
     * 增加预定订单
     * @param order
     * @return
     */
    Integer addOrder(ReserveOrder order);

    /**
     * 修改订单状态
     * @param order
     * @return
     */
    Integer updateOrder(ReserveOrder order);

    /**
     * 获取订单
     */
    ReserveOrder getOrder(Integer orderId);
}
